Bug 43148 - objectFlag does not support docker
objectFlag does not support docker
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UDM (Generic)
UCS 4.1
Other Linux
: P5 normal (vote)
: UCS 4.2
Assigned To: Dirk Wiesenthal
Florian Best
: interim-2
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-12-09 14:51 CET by Dirk Wiesenthal
Modified: 2017-04-04 18:28 CEST (History)
2 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 2: Improvement: Would be a product improvement
Who will be affected by this bug?: 1: Will affect a very few installed domains
How will those affected feel about the bug?: 2: A Pain – users won’t like this once they notice it
User Pain: 0.023
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Wiesenthal univentionstaff 2016-12-09 14:51:56 CET
objectFlag is an extended attribute available to all UDM modules. But you cannot set arbitrary values; syntax ObjectFlag defines only three:

hidden, functional, temporary.

The App Center ignores this syntax and enforces the value "docker". We should retroactively allow this by extending the syntax class. Fixing the App Center may not be possible as 1) there are already objects out there with this value and 2) this value is used in the source code to identify docker hosts.

Either add "docker" to the list of possible choices. Or allow any value to be used a flag for univentionObject.
Comment 1 Dirk Wiesenthal univentionstaff 2017-02-23 12:54:07 CET
Fixed in
  univention-directory-manager-modules 12.0.13-2A~4.2.0.201702231247

Used in
  univention-appcenter (6.0.1-35)
Comment 2 Dirk Wiesenthal univentionstaff 2017-02-23 12:54:38 CET
I have added "docker" to the list of possible choices.
Comment 3 Florian Best univentionstaff 2017-02-23 13:39:58 CET
OK: udm computers/memberserver modify --dn "$dn" --set objectFlag=docker
OK: Code-Review
OK: Changelog

The extended attribute is single-values while the attribute is multi-valued. This causes also errors in the CLI usage (--append objectFlag=docker).
Comment 4 Dirk Wiesenthal univentionstaff 2017-02-23 21:59:46 CET
For the extended attribute objectFlag I --set multivalue=1. You can now --append objectFlag=docker.

univention-directory-manager-modules 12.0.14-2A~4.2.0.201702232156
Comment 5 Florian Best univentionstaff 2017-02-24 13:10:30 CET
OK: --append
OK: Changelog
Comment 6 Stefan Gohmann univentionstaff 2017-04-04 18:28:38 CEST
UCS 4.2 has been released:
 https://docs.software-univention.de/release-notes-4.2-0-en.html
 https://docs.software-univention.de/release-notes-4.2-0-de.html

If this error occurs again, please use "Clone This Bug".